#define MAXITER 10000

procedure main
   local i, k
   local found, iter
   local flags[MAXITER]
   local start, finish

   ? str(MAXITER) + " iterations"
   start := seconds()
   for iter := 1 to MAXITER
           found := 0
           for i := 1 to MAXITER
                  flags[i] := 0
           next i
           for i := 2 to MAXITER
         if flags[i] = 0      // found a prime
                      found++
            for k := i+i to MAXITER step i
               flags[k] := 1
            next
                  endif
           next
   next
   finish := seconds()
   ? str(found) + " primes in " + str((finish-start)*1) + " seconds "
return